Package: org.codehaus.groovy.grails.web.pages

## [Java] Class BindingMapEntry

- org.codehaus.groovy.grails.web.pages.AbstractGroovyPageBinding.BindingMapEntry

- All Implemented Interfaces and Traits:
    java.util.Map$Entry

      protected static class AbstractGroovyPageBinding.BindingMapEntry

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractGroovyPageBinding.BindingMapEntry (AbstractGroovyPageBinding binding, java.lang.Object key, java.lang.Object value)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Object` | `getKey()`
    `java.lang.Object` | `getValue()`
    `int` | `hashCode()`
    `java.lang.Object` | `setValue(java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### protected AbstractGroovyPageBinding.BindingMapEntry(AbstractGroovyPageBinding binding, java.lang.Object key, java.lang.Object value)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object obj)

    - #### @java.lang.Override public java.lang.Object getKey()

    - #### @java.lang.Override public java.lang.Object getValue()

    - #### @java.lang.Override public int hashCode()

    - #### @java.lang.Override public java.lang.Object setValue(java.lang.Object value)